// -------------------------------------------------------------------------
// Copyright @ 1998 TCK Software, Incorporated
// All Rights Reserved
// -------------------------------------------------------------------------

#ifndef __VFOLEDROPTARGET_H__
#define __VFOLEDROPTARGET_H__

#include <afxole.h>

class VForm;

// -------------------------------------------------------------------------
// VForms Ole drag and drop - when entering VForm
// -------------------------------------------------------------------------
class VfOleDropTarget : public COleDropTarget
{
protected:
	VForm*		m_pVForm;				// Pointer to associated VForm

// Construction
public:
	VfOleDropTarget()					{ m_pVForm = 0; }
	void	SetVForm(VForm *pForm)		{ m_pVForm = pForm; }
	VForm*	GetVForm()					{ return m_pVForm; }

	virtual DROPEFFECT	OnDragEnter(CWnd *pWnd, COleDataObject* pDataObject, 
								DWORD dwKeyState, CPoint point);
	virtual void		OnDragLeave(CWnd *pWnd);
	virtual DROPEFFECT	OnDragOver(CWnd *pWnd, COleDataObject* pDataObject, 
								DWORD dwKeyState, CPoint point);
	virtual DROPEFFECT	OnDropEx(CWnd *pWnd, COleDataObject* pDataObject, 
								DROPEFFECT dropDefault, DROPEFFECT dropList,
								CPoint point);
	virtual BOOL		OnDrop(CWnd *pWnd, COleDataObject* pDataObject, 
								DROPEFFECT dropEffect, CPoint point);
	virtual DROPEFFECT	OnDragScroll(CWnd *pWnd, DWORD dwKeyState, CPoint point);
};

#endif